#Mapelio

##installation
 
 ```bash
 

npm i mapelio
```

##Usage
```
**app.js
    
import mapelio from 'mapelio'
window.mapelio = mapelio;
    
**optionnel** on peut passer la clé ici pour ne pas avoir à la passer dans chaque vue
window.mapelioApiKey = "######"

   
**script/vue
    
<script type="text/javascript">
    
    //**vanilla JS
    mapelio('@id_element',options);
    
    //**Jquery JS
   $('#@id_element').mapelio(options);
    
</script>
```

## options

####ApiKey

```
type:String,
requis : oui, //sauf si déja passé
```

####mode
```
type:String,
defaut:adresse,
choix:  adresse         -> recherche adresse
        etablissement   -> recherche société par RS,siret,siren
        cp              -> sort la liste des villes correspondant au code postal
```

####initCountryDisableMode
```
type:String
defaut:disableSearch
desc: action effectué si le pays n'est pas éligible à la recherche
choix:
    disableSearch : désactive la recherche et laisse un champs libre
    disableField: met le champs en disbale
    no : rien
```

####autocomplete

```
type:Bool,
defaut:false,
desc:permet le remplissage automatique des champs liées pour les adresses
```
####placeholder
```
type:String,
defaut:'Rechercher une adresse',
desc:placeholder du champ de recherche
```

####adressName
```
type:String,
defaut:adresse,
desc:le name du champ que l'autocomplete va essayer de remplir pour l'adresse
```
####cityName
```
type:String,
defaut:ville,
desc:le name du champ que l'autocomplete va essayer de remplir pour la ville
```

####cpName
```
type:String,
defaut:code_postal,
desc:le name du champ que l'autocomplete va essayer de remplir pour le code postal
```

####sirenName
```
type:String,
defaut:siren,
desc:le name du champ que l'autocomplete va essayer de remplir pour le siren (seulement en mode etablissement)
```

####siretName
```
type:String,
defaut:siret,
desc:le name du champ que l'autocomplete va essayer de remplir pour le siret (seulement en mode etablissement)
```

####nafName
```
type:String,
defaut:naf,
desc:le name du champ que l'autocomplete va essayer de remplir pour le naf (seulement en mode etablissement)
```

####latitudeName
```
type:String,
defaut:latitude,
desc:le name du champ hidden que mapelio va créer à la selection d'une adresse
```

####longitudeName
```
type:String,
defaut:latitude,
desc:le name du champ hidden que mapelio va créer à la selection d'une adresse
```

####boostrapVersion
```
type:String,
defaut:boostrap4,
desc:version de boostrap utilisé pour les class
!!Pour le moment qu'une seule version présente!!
```

####country
```
type:String,
defaut:all,
desc:pays sur lequel s'effectue la recherche
```


##Events

####selectListItemEvent
```
type:function(item){},
desc:fonction de callback déclenché à la selection d'une adresse
usage: a passer dans les options
```

####removeListItemEvent
```
type:function(item){},
desc:fonction de callback déclenché à la suppression d'une adresse
usage: a passer dans les options
```

####disable/enable
```
type:function,
desc:possibilité d'activé/desactivé le champ de recherche

<script type="text/javascript">
	var myMapelio = $('#recherche').mapelio({});
	
	myMapelio.disable($message_sur_placeholder_pour_la_désactivation);
	
</script>
```

####setCountry/getCountry
```
type:function,
desc: getter/setter pour l'option country`
```

####setMode/getMode
```
type:function,
desc: getter/setter pour l'option mode`
```

####disableSearch/enableSearch
```
type:function,
desc: active/desactive la recherche , laisse un champ libre en cas de non fonction`
```

